commit:     514ba3cca79dc7ed199ecc2d6f8c624b6c876946
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Feb  5 16:18:43 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Feb  5 16:18:43 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=514ba3cc

dev-python/simplejson: Bump to 3.18.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/simplejson/Manifest                 |  1 +
 dev-python/simplejson/metadata.xml             |  6 ++++
 dev-python/simplejson/simplejson-3.18.2.ebuild | 38 ++++++++++++++++++++++++++
 3 files changed, 45 insertions(+)

diff --git a/dev-python/simplejson/Manifest b/dev-python/simplejson/Manifest
index 4d003c72bbc6..36f91f571af2 100644
--- a/dev-python/simplejson/Manifest
+++ b/dev-python/simplejson/Manifest
@@ -1,2 +1,3 @@
 DIST simplejson-3.18.0.tar.gz 83533 BLAKE2B 
83c6f7f3734507f5a96b51d52dd39b0bd8ff772d51ce1f12ff2ee68f83747f519f418f78247727af7c408da4e7818d1b0d1f7b54b7780e3bc427add1eeaebb06
 SHA512 
952177fc707e5b1fb6450093876f9a7af1026271cb792bb8dc0418b83906ae32e7f2251b96f531101197d0b3204a97124bff02f7abc4cf700da4edf1320b6b08
 DIST simplejson-3.18.1.tar.gz 83603 BLAKE2B 
5f51d06238210b0bdd3dbb2338979023324e1056c2278f7eef7b929cc0bf9f9178d032829a3ce49c0b630f3367268d68753f250968962159e9a9aafcd3105d20
 SHA512 
3a18d02f42624e27c536582cf9b6ceb8559d54dd97224294a6f6ee8173ee37c0cc9cd21bad777c29ab432ac41b1495fca9d45da300b5040c175980d236d3b9d6
+DIST simplejson-3.18.2.gh.tar.gz 81518 BLAKE2B 
317ea52890a1bd48fe2a647eeffc9f8a9366c62a6e40fb91a2c154bd49fc3ec9d29c18aaaa4866962cf40d86e256abc090a19d891885171d32faac8344f2e17b
 SHA512 
ef19e513bc45afacd746bf7018165e90a001dc6a91b7f749d8a0b0272283885bcaf6fa77d8e05e18805310e0ee26529dd83cb947bb25fbc3890898ccafe68a8e

diff --git a/dev-python/simplejson/metadata.xml 
b/dev-python/simplejson/metadata.xml
index 1f5def0900e2..d7d1eb0b9a7a 100644
--- a/dev-python/simplejson/metadata.xml
+++ b/dev-python/simplejson/metadata.xml
@@ -9,4 +9,10 @@
                <remote-id type="pypi">simplejson</remote-id>
                <remote-id type="github">simplejson/simplejson</remote-id>
        </upstream>
+       <use>
+               <flag name="native-extensions">
+                       Compiles native "C" extensions (speedups, instead of 
using Python
+                       fallback code).
+               </flag>
+       </use>
 </pkgmetadata>

diff --git a/dev-python/simplejson/simplejson-3.18.2.ebuild 
b/dev-python/simplejson/simplejson-3.18.2.ebuild
new file mode 100644
index 000000000000..e517c93ea2be
--- /dev/null
+++ b/dev-python/simplejson/simplejson-3.18.2.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Simple, fast, extensible JSON encoder/decoder for Python"
+HOMEPAGE="
+       https://github.com/simplejson/simplejson/
+       https://pypi.org/project/simplejson/
+"
+SRC_URI="
+       https://github.com/simplejson/simplejson/archive/v${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+
+LICENSE="|| ( MIT AFL-2.1 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+IUSE="+native-extensions"
+
+DOCS=( README.rst CHANGES.txt )
+
+distutils_enable_tests unittest
+
+src_configure() {
+       export DISABLE_SPEEDUPS=$(usex native-extensions 0 1)
+       use native-extensions && export REQUIRE_SPEEDUPS=1
+}
+
+python_test() {
+       cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+       eunittest
+}

Reply via email to